Security experts say that the new bug-fix for Internet Explorer browser should be installed immediately.

The flaw , which was accidentally made public by Chinese security researchers just over a week ago, has been used in a growing number of web-based attacks over the past few days.

Criminals have posted attack code that exploits this flaw on thousands of web sites so far, according to Rick Howard, intelligence director with the VeriSign iDefense group. VeriSign has now seen six variants of the attack software, all of which attempt to steal Chinese online gaming credentials.

Often the attack is launched through a hidden iFrame component that is surreptitiously put on a web site. VeriSign has even spotted one such iFrame attack on a legitimate financial institution's web site, Howard said. "The volume of iFrames deploying this thing is really high."

The flaw lies in the way the Internet Explorer data-binding function works, Microsoft said. When the browser is attacked it will crash, corrupting the computer's memory and allowing the criminal to run unauthorised software.

Because Internet Explorer is used by about 70 per cent of web surfers, this attack code will probably show up in widely used malicious software toolkits "very shortly," Howard said.

Other security companies agreed with the VeriSign assessment. "Microsoft's latest IE out-of-band patch release needs to be installed right away," said Shavlik Technologies in a statement. "The number of infected web sites is growing at an alarming rate - even people visiting legitimate web sites are getting hacked with this exploit."

The flaw is so serious, in fact, that Microsoft took the unusual step of issuing its security fix weeks ahead of schedule. Typically Microsoft releases security patches just once a month in order to simplify the lives of system administrators. Its next set of updates is due 13 January.

Criminals could also launch their attacks via email, by sending victims maliciously encoded HTML documents, although this type of attack has not been reported.

The Microsoft patch is for users of IE version 5 and up.

Related articles:

CIO News View: IE 8 beta asks IT to test for Microsoft